# Uses of Class
net.shibboleth.shared.spring.httpclient.resource.HTTPResource

Packages that use HTTPResource
Package
Description
net.shibboleth.shared.spring.httpclient.resource
Spring resource classes supporting HttpClient access.

## Uses of HTTPResource in net.shibboleth.shared.spring.httpclient.resource

Subclasses of HTTPResource in net.shibboleth.shared.spring.httpclient.resource
Modifier and Type
Class
Description
`class`
`FileBackedHTTPResource`
A resource representing a file read from an HTTP(S) location.
Methods in net.shibboleth.shared.spring.httpclient.resource that return HTTPResource
Modifier and Type
Method
Description
`HTTPResource`
FileBackedHTTPResource.`createRelative(String relativePath)`
Based on `UrlResource`.
`HTTPResource`
HTTPResource.`createRelative(String relativePath)`
Based on `UrlResource`.
`HTTPResource`
HTTPResource.`createRelative(String relativePath, HttpClientContextHandler handler)`
Create a resource relative to us, but use the supplied handler.